Index: stylesheets/pdf/lfs-index.xsl
===================================================================
--- stylesheets/pdf/lfs-index.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
+++ stylesheets/pdf/lfs-index.xsl	(revision 1a0f605b2401f27cc04c9884722c5281647681a2)
@@ -4,10 +4,6 @@
 <!ENTITY uppercase "'ABCDEFGHIJKLMNOPQRSTUVWXYZ'">
 <!ENTITY primary   'normalize-space(concat(primary/@sortas, primary[not(@sortas)]))'>
-<!ENTITY secondary 'normalize-space(concat(secondary/@sortas, secondary[not(@sortas)]))'>
 <!ENTITY scope 'count(ancestor::node()|$scope) = count(ancestor::node())'>
-<!ENTITY sep '" "'>
 ]> 
-
-<!-- Version 0.9 - Manuel Canales Esparcia <macana@lfs-es.org> -->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
@@ -15,13 +11,13 @@
                 version="1.0">
 
-  	<!--Only one column to fit the table layout-->
-  <xsl:param name="column.count.index" select="1"/>
-
     <!--Title-->
   <xsl:template match="index" mode="title.markup">
-    <xsl:text>Index of packages and important installed files</xsl:text>
-	</xsl:template>
+    <xsl:param name="allow-anchors" select="0"/>
+    <xsl:call-template name="gentext">
+      <xsl:with-param name="key">Index</xsl:with-param>
+    </xsl:call-template>
+  </xsl:template>
 
-  	<!-- Divisions-->
+    <!-- Divisions-->
   <xsl:template match="indexterm" mode="index-div">
     <xsl:param name="scope" select="."/>
@@ -37,105 +33,68 @@
               <xsl:choose>
                 <xsl:when test="$divtitle = 'A'">
-                  <xsl:text>Packages</xsl:text>
+                  <xsl:call-template name="gentext">
+                    <xsl:with-param name="key">Packages</xsl:with-param>
+                  </xsl:call-template>
                 </xsl:when>
                 <xsl:when test="$divtitle = 'B'">
-                    <xsl:text>Programs</xsl:text>
+                  <xsl:call-template name="gentext">
+                    <xsl:with-param name="key">Programs</xsl:with-param>
+                  </xsl:call-template>
                 </xsl:when>
                 <xsl:when test="$divtitle = 'C'">
-                    <xsl:text>Libraries</xsl:text>
+                  <xsl:call-template name="gentext">
+                    <xsl:with-param name="key">Libraries</xsl:with-param>
+                  </xsl:call-template>
                 </xsl:when>
                 <xsl:when test="$divtitle = 'D'">
-                    <xsl:text>Scripts</xsl:text>
+                  <xsl:call-template name="gentext">
+                    <xsl:with-param name="key">Scripts</xsl:with-param>
+                  </xsl:call-template>
                 </xsl:when>
                 <xsl:when test="$divtitle = 'E'">
-                    <xsl:text>Configuration Files</xsl:text>
+                  <xsl:call-template name="gentext">
+                    <xsl:with-param name="key">Configuration Files</xsl:with-param>
+                  </xsl:call-template>
                 </xsl:when>
                 <xsl:when test="$divtitle = 'F'">
-                  <xsl:text>Bootscripts</xsl:text>
+                  <xsl:call-template name="gentext">
+                    <xsl:with-param name="key">Bootscripts</xsl:with-param>
+                  </xsl:call-template>
                 </xsl:when>
                 <xsl:when test="$divtitle = 'G'">
-                    <xsl:text>Others</xsl:text>
+                  <xsl:call-template name="gentext">
+                    <xsl:with-param name="key">Others</xsl:with-param>
+                  </xsl:call-template>
                 </xsl:when>
                 <xsl:otherwise>
                   <xsl:value-of select="$divtitle"/>
                 </xsl:otherwise>
-            	</xsl:choose>
+              </xsl:choose>
             </xsl:with-param>
           </xsl:call-template>
         </xsl:if>
-        <fo:table table-layout="fixed" width="100%">
-      		<fo:table-column column-number="1" column-width="11em"/>
-      		<fo:table-column column-number="2" column-width="19em"/>
-      		<fo:table-column column-number="3"/>
-          <fo:table-body>
-            <xsl:apply-templates select="key('letter', $key)[&scope;]
-                                        [count(.|key('primary', &primary;)[&scope;][1])=1]"
-                                mode="index-primary">
-              <xsl:sort select="translate(&primary;, &lowercase;, &uppercase;)"/>
-              <xsl:with-param name="scope" select="$scope"/>
-            </xsl:apply-templates>
-	        </fo:table-body>
-        </fo:table>
+        <fo:block>
+          <xsl:apply-templates select="key('letter', $key)[&scope;]
+                                      [count(.|key('primary', &primary;)[&scope;][1])=1]"
+                              mode="index-primary">
+            <xsl:sort select="translate(&primary;, &lowercase;, &uppercase;)"/>
+            <xsl:with-param name="scope" select="$scope"/>
+          </xsl:apply-templates>
+        </fo:block>
       </fo:block>
     </xsl:if>
   </xsl:template>
 
-  	<!-- Dropping the separator from here -->
+    <!-- The separator -->
   <xsl:template match="indexterm" mode="reference">
     <xsl:param name="scope" select="."/>
-    	<xsl:call-template name="reference">
+    <xsl:text>:   </xsl:text>
+      <xsl:call-template name="reference">
         <xsl:with-param name="zones" select="normalize-space(@zone)"/>
         <xsl:with-param name="scope" select="$scope"/>
       </xsl:call-template>
   </xsl:template>
-
-  	<!-- Changing the output tags and re-addind the separator-->
-  <xsl:template match="indexterm" mode="index-primary">
-    <xsl:param name="scope" select="."/>
-    <xsl:variable name="key" select="&primary;"/>
-    <xsl:variable name="refs" select="key('primary', $key)[&scope;]"/>
-    <fo:table-row>
-    	<fo:table-cell>
-      	<fo:block>
-          <xsl:value-of select="primary"/>
-          <xsl:text>: </xsl:text>
-				</fo:block>
-      </fo:table-cell>
-      <xsl:for-each select="$refs[not(see) and not(seealso)
-                            and not(secondary)]">
-        <xsl:apply-templates select="." mode="reference">
-          <xsl:with-param name="scope" select="$scope"/>
-        </xsl:apply-templates>
-      </xsl:for-each>
-		</fo:table-row>
-		<xsl:if test="$refs/secondary">
-      <xsl:apply-templates select="$refs[secondary and count(.|key('secondary',
-      				concat($key, &sep;, &secondary;))[&scope;][1]) = 1]" mode="index-secondary">
-				<xsl:with-param name="scope" select="$scope"/>
-				<xsl:sort select="translate(&secondary;, &lowercase;, &uppercase;)"/>
-			</xsl:apply-templates>
-		</xsl:if>
-  </xsl:template>
-
-  <xsl:template match="indexterm" mode="index-secondary">
-    <xsl:param name="scope" select="."/>
- 		<xsl:variable name="key" select="concat(&primary;, &sep;, &secondary;)"/>
-    <xsl:variable name="refs" select="key('secondary', $key)[&scope;]"/>
-    <fo:table-row>
-    	<fo:table-cell>
-		    <fo:block start-indent="1pc">
-          <xsl:value-of select="secondary"/>
-          <xsl:text>: </xsl:text>
-        </fo:block>
-    	</fo:table-cell>
-      <xsl:for-each select="$refs[not(see) and not(seealso) and not(tertiary)]">
-        <xsl:apply-templates select="." mode="reference">
-          <xsl:with-param name="scope" select="$scope"/>
-        </xsl:apply-templates>
-      </xsl:for-each>
-		</fo:table-row>
-  </xsl:template>
   
-  	<!-- Targets titles and bookmarks-->
+    <!--Bookmarks-->
   <xsl:template name="reference">
     <xsl:param name="scope" select="."/>
@@ -157,24 +116,15 @@
           </xsl:call-template>
         </xsl:variable>
-        <fo:table-cell>
-        	<fo:block>
-            <fo:basic-link internal-destination="{$id}">
-              <xsl:value-of select="$target/title"/>
-              <xsl:apply-templates select="$target" mode="page.citation">
-                <xsl:with-param name="id" select="$id"/>
-              </xsl:apply-templates>
-            </fo:basic-link>
-        	</fo:block>
-				</fo:table-cell>
-        <fo:table-cell>
-        	<fo:block>
-            <fo:basic-link internal-destination="{$id2}">
-              <xsl:text>description</xsl:text>
-              <xsl:apply-templates select="$target2" mode="page.citation">
-                <xsl:with-param name="id" select="$id2"/>
-              </xsl:apply-templates>
-            </fo:basic-link>
-        	</fo:block>
-				</fo:table-cell>
+        <fo:basic-link internal-destination="{$id}">
+          <xsl:apply-templates select="$target" mode="page.citation">
+            <xsl:with-param name="id" select="$id"/>
+          </xsl:apply-templates>
+        </fo:basic-link>
+          <xsl:text> ,  </xsl:text>
+        <fo:basic-link internal-destination="{$id2}">
+          <xsl:apply-templates select="$target2" mode="page.citation">
+            <xsl:with-param name="id" select="$id2"/>
+          </xsl:apply-templates>
+        </fo:basic-link>
       </xsl:when>
       <xsl:otherwise>
@@ -186,17 +136,22 @@
           </xsl:call-template>
         </xsl:variable>
-        <fo:table-cell>
-        	<fo:block>
-            <fo:basic-link internal-destination="{$id}">
-              <xsl:value-of select="$target/title"/>
-              <xsl:apply-templates select="$target" mode="page.citation">
-                <xsl:with-param name="id" select="$id"/>
-              </xsl:apply-templates>
-            </fo:basic-link>
-        	</fo:block>
-				</fo:table-cell>
+        <fo:basic-link internal-destination="{$id}">
+          <xsl:apply-templates select="$target" mode="page.citation">
+            <xsl:with-param name="id" select="$id"/>
+          </xsl:apply-templates>
+        </fo:basic-link>
       </xsl:otherwise>
     </xsl:choose>
   </xsl:template>
 
+    <!-- Page number in Index-->
+  <xsl:template match="*" mode="page.citation">
+    <xsl:param name="id" select="'???'"/>
+    <fo:inline keep-together.within-line="always">
+      <!--<xsl:text>[p</xsl:text>-->
+      <fo:page-number-citation ref-id="{$id}"/>
+      <!--<xsl:text>]</xsl:text>-->
+    </fo:inline>
+  </xsl:template>
+
 </xsl:stylesheet>
Index: stylesheets/pdf/lfs-mixed.xsl
===================================================================
--- stylesheets/pdf/lfs-mixed.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
+++ stylesheets/pdf/lfs-mixed.xsl	(revision 1a0f605b2401f27cc04c9884722c5281647681a2)
@@ -33,5 +33,5 @@
 
     <!-- Show URLs in italic font -->
-  <xsl:template match="ulink" name="ulink">
+  <!--<xsl:template match="ulink" name="ulink">
     <fo:inline font-style="italic">
       <fo:basic-link xsl:use-attribute-sets="xref.properties">
@@ -55,7 +55,7 @@
     <xsl:if test="count(child::node()) != 0
                   and string(.) != @url
-                  and $ulink.show != 0">
+                  and $ulink.show != 0">-->
       <!-- yes, show the URI -->
-      <xsl:choose>
+    <!--  <xsl:choose>
         <xsl:when test="$ulink.footnotes != 0 and not(ancestor::footnote)">
           <xsl:text>&#xA0;</xsl:text>
@@ -85,5 +85,5 @@
       </xsl:choose>
     </xsl:if>
-  </xsl:template>
+  </xsl:template>-->
 
     <!-- Split URLs (obsolete, keeped as reference) -->
Index: stylesheets/pdf/lfs-pagesetup.xsl
===================================================================
--- stylesheets/pdf/lfs-pagesetup.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
+++ stylesheets/pdf/lfs-pagesetup.xsl	(revision 1a0f605b2401f27cc04c9884722c5281647681a2)
@@ -15,6 +15,5 @@
         </xsl:choose>
       </xsl:attribute>
-      <xsl:value-of select="/book/bookinfo/title"/>
-      <xsl:text> - </xsl:text>
+      <xsl:text>Beyond Linux From Scratch - </xsl:text>
       <xsl:value-of select="/book/bookinfo/subtitle"/>
     </fo:block>
Index: stylesheets/pdf/lfs-sections.xsl
===================================================================
--- stylesheets/pdf/lfs-sections.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
+++ stylesheets/pdf/lfs-sections.xsl	(revision 1a0f605b2401f27cc04c9884722c5281647681a2)
@@ -20,6 +20,6 @@
 
     <!-- Sections numbering -->
-  <xsl:param name="section.autolabel" select="1"/>
-  <xsl:param name="section.label.includes.component.label" select="1"/>
+  <xsl:param name="section.autolabel" select="0"/>
+  <xsl:param name="section.label.includes.component.label" select="0"/>
 
     <!-- Skip numeraration for sections with empty title -->
